//------------------------------------------------------------------------
// File name...............: ObjKlasseModel.cpp
// Compiler................: MS-Visual C++ 5.00
// Library.................: Microsoft Foundation Classes
// Programmr..............: 
// Programmerings start....: 
// Sidste opdatering.......: 
// Revisions historie......:
// Beskrivelse.............:				   
//     Implementation for Objekt-Klasse-model ("Forretnings"-klasser)
//------------------------------------------------------------------------


#include "ObjKlasseModel.h"


//............................................................
// implementation af basale tjenester/funktioner
// til CxKundeSet klassen
//............................................................


CxKundeSet::CxKundeSet (void)		// constructor
{ Open();}

CxKundeSet::~CxKundeSet (void)	// destructor
{
	if (IsOpen())	Close();			// nedarvet funktion
}

void	CxKundeSet::SetFornavn	(CString NyFornavn)
{ m_Fornavn = NyFornavn; }		// m_Fornavn er nedarvet fra CrsKunde

void	CxKundeSet::SetEfternavn	(CString NyEfternavn)
{ m_Efternavn = NyEfternavn; }		// m_Efternavn er nedarvet fra CrsKunde

void	CxKundeSet::SetAdresse	(CString NyAdresse)
{ m_Adresse = NyAdresse; }		// m_Adresse er nedarvet fra CrsKunde

void	CxKundeSet::SetPostNr (long NyPostNr)
{ m_PostNr = NyPostNr; }	// m_KundeNr er nedarvet fra CrsKunde

void	CxKundeSet::SetTlfNr (long NyTlfNr)
{ m_TlfNr = NyTlfNr; }	// m_TlfNr er nedarvet fra CrsKunde


long	CxKundeSet::GetKundeNr (void)
{ return (m_KundeNr); }		// m_KundeNr er nedarvet fra CrsKunde

CString	CxKundeSet::GetFornavn	(void)
{ return (m_Fornavn); }			// m_Fornavn er nedarvet fra CrsKunde

CString	CxKundeSet::GetEfternavn	(void)
{ return (m_Efternavn); }			// m_Efternavn er nedarvet fra CrsKunde

CString	CxKundeSet::GetAdresse	(void)
{ return (m_Adresse); }			// m_Adresse er nedarvet fra CrsKunde

long	CxKundeSet::GetPostNr (void)
{ return (m_PostNr); }		// m_PostNr er nedarvet fra CrsKunde

long	CxKundeSet::GetTlfNr (void)
{ return (m_TlfNr); }		// m_TlfNr er nedarvet fra CrsKunde



//............................................................
// implementation af vrige tjenester/funktioner
// til CxKundeSet klassen
//............................................................

void	CxKundeSet::QueryAll	(void)
{
	m_strFilter = "";									// m_strFilter arvet
	if (IsOpen())	Requery();				// nedarvet funktion
	else			Open();					// nedarvet funktion
}

	
// Slut p CxKundeSet


