// WindowsDoc.h : interface of the CWindowsDoc class
//
/////////////////////////////////////////////////////////////////////////////
#include "ReportMetrics.h"
#include "PrintReport.h"


enum ReportTypeType { ViewReportType, PrintReportType };

class CWindowsDoc : public CDocument
{
protected: // create from serialization only
	CWindowsDoc();
	DECLARE_DYNCREATE(CWindowsDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWindowsDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CWindowsDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWindowsDoc)
	afx_msg void OnTestdok();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


//-------------------------------------------------------------
// Attributes
public:
    int nDocType;
    CStringArray csaDocLines;
	CxReport* pMyReport;
	BOOL	ReportView;
// Operations
public:
	void AssignReport(void);
	void SelectReport(void);
	void DeleteReport(void);
    long GetMaxLinesPerPage(void);
	void DanRapport(CxReportMetrics* pMetrics, ReportTypeType ReportType);
    long GetDocLines(void) { return csaDocLines.GetSize();}
//-------------------------------------------------------------


};

/////////////////////////////////////////////////////////////////////////////
