//------------------------------------------------------------------------
// File name...............: ObjKlasseModel.h
// Compiler................: MS-Visual C++ 5.0
// Library.................: Microsoft Foundation Classes
// Programmr..............: 
// Programmerings start....: 
// Sidste opdatering.......: 
// Revisions historie......:
// Beskrivelse.............:				   
//     Headerdefinition for Objekt-Klasse-model ("Forretnings"-klasser)
//	   Klasseprefix    Cx     Cx(model)
//------------------------------------------------------------------------
#ifndef	__ObjKlasseModel_h__
#define	__ObjKlasseModel_h__ 


#include "stdafx.h"		// header med DB-funktioner, CString m.m. 

#include "rsDatabase.h"	// header med definitioner til tabel(erne)

//----------------------------------------------------------------
//----------------------------------------------------------------

class CxKundeSet : public CrsKundeSet
{
public:
	CxKundeSet			(void);		// constructor
	~CxKundeSet			(void);		// destructor

	void	SetFornavn		(CString NyFornavn);
	void	SetEfternavn	(CString NyEfternavn);
	void	SetAdresse		(CString NyAdresse);
	void	SetPostNr		(long NyPostNr);
	void	SetTlfNr		(long NyTlfNr);

	long	GetKundeNr		(void);
	CString	GetFornavn		(void);
	CString	GetEfternavn	(void);
	CString	GetAdresse		(void);
	long	GetPostNr		(void);
	long	GetTlfNr		(void);
	//.....................
	//  her indlgges funktioner til vrige data
	//.....................
	void	QueryAll		(void);

private:
};




#endif
// Slut p filen ObjKlasseModel.h
