// rsDatabase.cpp : implementation file
//

#include "stdafx.h"
#include "BankSystem.h"
#include "rsDatabase.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CrsKundeSet

IMPLEMENT_DYNAMIC(CrsKundeSet, CRecordset)

CrsKundeSet::CrsKundeSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CrsKundeSet)
	m_KundeNr = 0;
	m_Fornavn = _T("");
	m_Efternavn = _T("");
	m_Adresse = _T("");
	m_TlfNr = 0;
	m_PostNr = 0;
	m_nFields = 6;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString CrsKundeSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=BANKDB");
}

CString CrsKundeSet::GetDefaultSQL()
{
	return _T("[QKunde]");
}

void CrsKundeSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CrsKundeSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[KundeNr]"), m_KundeNr);
	RFX_Text(pFX, _T("[Fornavn]"), m_Fornavn);
	RFX_Text(pFX, _T("[Efternavn]"), m_Efternavn);
	RFX_Text(pFX, _T("[Adresse]"), m_Adresse);
	RFX_Long(pFX, _T("[TlfNr]"), m_TlfNr);
	RFX_Long(pFX, _T("[PostNr]"), m_PostNr);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CrsKundeSet diagnostics

#ifdef _DEBUG
void CrsKundeSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CrsKundeSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
